#
# spec file for package ctemplate
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ctemplate
Summary:        Library for simple but powerful template language for C++
License:        BSD-3-Clause
Group:          Development/Libraries/C and C++
Version:        2.3
Release:        5.4
Url:            http://code.google.com/p/google-ctemplate/
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
BuildRequires:  python

%description
CTemplate is a simple but powerful template language for C++. It
emphasizes separating logic from presentation: it is impossible to
embed application logic in this template language.

%package -n libctemplate3
Summary:        Library for simple but powerful template language for C++
Group:          Development/Libraries/C and C++

%description -n libctemplate3
CTemplate is a simple but powerful template language for C++. It
emphasizes separating logic from presentation: it is impossible to
embed application logic in this template language.

%package -n libctemplate-devel
Requires:       libctemplate3 = %{version}
Summary:        Library for simple but powerful template language for C++
Group:          Development/Libraries/C and C++

%description -n libctemplate-devel
CTemplate is a simple but powerful template language for C++. It
emphasizes separating logic from presentation: it is impossible to
embed application logic in this template language.

%prep
%setup -q
chmod -R u+w .

%build
export verstring=`echo %{version} | sed 's|\.|:|'`
%configure --disable-static 
make %{?_smp_mflags}

%install
%makeinstall
rm -f %{buildroot}/%{_libdir}/*.la

# remove not needed documentation (rpmlint recommended...)
rm %{buildroot}/usr/share/doc/%{name}-%{version}/README_windows.txt
rm %{buildroot}/usr/share/doc/%{name}-%{version}/INSTALL
install -d %{buildroot}/%{_defaultdocdir}/%{name}-%{version}
mv %{buildroot}/usr/share/doc/%{name}-%{version}/* %{buildroot}/%{_defaultdocdir}/%{name}-%{version}

%post -n libctemplate3 -p /sbin/ldconfig

%postun -n libctemplate3 -p /sbin/ldconfig

%files -n libctemplate3
%defattr(-,root,root)
%{_libdir}/*.so.3*
%dir %{_defaultdocdir}/%{name}-%{version}
%{_defaultdocdir}/%{name}-%{version}/[A-Z]*

%files -n libctemplate-devel
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%dir %{_includedir}/ctemplate
%{_includedir}/ctemplate/*.h
%{_defaultdocdir}/%{name}-%{version}/[a-z]*

%changelog
* Thu Nov  6 2014 adrian@suse.de
- so name did change to version 3, follow with library package name
* Sat May 17 2014 freitag@opensuse.org
- update to upstream version 2.3
  * Fixed some more C++11 issues.
  * Removed deprecated Template::SetEscapedValueAndShowSection()
    and Template::ReloadIfChanged().
* Tue Jul 31 2012 freitag@owncloud.com
- update to upstream version 2.2
  2.2:  * Fixed several issues reported by G++ 4.7
  2.1:  * Added operator[] to TemplateDictionary
  * Added begin(), end(), data() and size() to TemplateString
  * Refactored code
  2.0:  * Changed the 'official' ctemplate email in setup.py/etc
  * Rewrote docs to refer to Ctemplate, not Google Template
  * Renamed google-ctemplate.sln to ctemplate.sln
  * Changed copyright text to reflect Google's relinquished ownership
  1.1:  * Make reloads always prefer files earlier on the search patch (ssas)
  * PORTING: Add a default BSWAP32, needed for AIX (csilvers)
  * Die at configure-time when g++ isn't installed
  1.0RC2: * BUGFIX: removed #includes of non-installed headers from installed ones
  * BUGFIX: Make compile-test test against an install
  1.0RC1: * BUGFIX: Dumpers were ignoring a tpl-string 'length' (csilvers)
  * BUGFIX: Add a needed $(top_srcdir) to Makefile.am
  * Replace 0x00-0x1F with space in xml_escape (alexvod)
  * Fix xml encoding to handle form-feed properly (ghurley)
  * DOCUMENTATION: Wer missing some docs in the tarball (csilvers)
  * BUILD: Update acx_pthread.m4 for nostdlib (Kacper)
  * BUGFIX: Make CreateSectionIterator check tpl-globals (williasr)
  * PORTING: Fix solaris build by getting rid of PATH_MAX (csilvers)
  0.99: * Accept . as part of tag/attr names when autoescaping (falmeida)
  * Optimize javascript template escaping (blount)
  * Allow <span dir=...> inside :H=snippet modifiers (jdtang)
  * make_tpl_varnames can write multiple tpls to one file (jad)
  * Add a few escaping modifier equivalences (jad)
  * BUGFIX: Fix ReloadAllIfChanged() with path (panicker)
  * PORTING: Relace tr with more portable sed, in tests (csilvers)
  * Updated from autoconf 2.64 to autoconf 2.65
* Thu Feb 16 2012 cfarrell@suse.com
- license update: BSD-3-Clause
  No BSD-4-Clause licenses in the packages
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Wed Apr 27 2011 idoenmez@novell.com
- Add ctemplate-0.98-gcc46.patch: fix compilation with gcc 4.6
* Thu Nov  4 2010 freitag@novell.com
- version update (version 0.98)
  * ctemplate: version 0.98 release
  * Add new image URL modifier: :I=html, :I=css, etc (jshneier, dougy)
  * Allow lowercase words in pragma contexts (csilvers)
  * Enable full-word matching for tpl filenames (aneeshnaman)
  * Performance improvements for small_map (wonchun)
  * Avoid some compiler warnings (mac)
  * Fix a c++ conformance bug involving const (chandlerc)
  * BUGFIX: never reload string templates (panicker)
  * BUGFIX: Fix refcounting to avoid accessing freed memory (panicker)
  * PORTING: Avoid SIBGUS on sparc by aligning memory more (csilvers)
  * PORTING: Use isascii_is*() to avoid langtype issues (csilvers)
  * PORTING: Fix 'class not properly dll-epxorted' warnings (csilvers)
  * PORTING: Rename README.windows to README_windows.txt (csilvers)
  * Made NEWS file non-empty.
  * Added ctemplate.pc + ctemplate_nothreads.pc for pkg-config (csilvers)
  version 0.97 release
  * Major API revamp: +TemplateCache, -Template (panicker, csilvers)
  * Major documentation revamp: howto -> guide + reference (csilvers)
  * Protect auto-generated #include files with header guard (dnovillo)
  * Allow ftp:// in ValidateUrl modifier (martone)
  * Speed up template modifiers (turnidge)
  * BUGFIX: Fix a dnagling pointer in template-modifiers (csilvers)
  * PORTING: cygwin/mingw now compile (due to autoconf macros) (csilvers)
  * PORTING: improve generate_fs_test on windows (csilvers)
  version 0.96 release
  * Support multiple template root directories (williasr)
  * Remove TemplateContext from TemplateToString (jad)
  * Remove programmatic auto-escape code (jad)
  * Speedup: use linker to detect immutable TemplateStrings (csilvers)
  * Implement ShowTemplateGlobalSection (williasr)
  * Change SetIntValue to accept longs (omoikane)
  * Allow TemplateDictionary c'tor to take a TemplateString (csilvers)
  * Make Mutex safer to run during global destructors (csilvers)
  * BUILD: don't set TMPDIR when building; ar reads it (csilvers)
  * BUILD: fix compiling of C (as opposed to C++) test file (csilvers)
  * BUILD: remove bash-specific 'test x == y' from configure.ac (csilvers)
  * BUGFIX: use AllocAligned when allocating non-char objects (csilvers)
  * PORTING: remove obsolete MSVC Detect64BitPortabilityProblems (csilvers)
  * Updated from autoconf 2.61 to 2.62
* Tue Jul 28 2009 mhrusecky@suse.cz
- version update (version 0.95)
  * Change default namespace from google to ctemplate
  * Rename include directory from google to ctemplate
  * Remove deprecated code: template_from_string.{h,cc}
  * Remove deprecated code: modifiers in TemplateDictionary class
  * Remove last arg from StringToTemplate; use autoescape pragma instead
  * Remove template_modifiers namespace
  * Provide a script to help convert namespaces and #includes
  * TemplateDictionary constructor takes TemplateString, not string
* Thu May  7 2009 mhrusecky@suse.cz
- version update (version 0.94)
  * Use arena for all memory allocations: 3-4%% speedup (csilvers)
  * Add the ability to hook the annotation system (ryoji)
  * Expose Expand(ExpandEmitter*,...) to allow custom emitters (csilvers)
  * Add RemoveStringFromTemplateCache (csilvers)
  * Add new :url_escape_with_arg=css modifier for urls in CSS (jad)
  * Support tr1's unordered_map in preference to hash_map (csilvers)
  * Use Murmurhash for all string hashing, rather than hash<> (csilvers)
  * Better parsing of meta tags and dangling < for auto-escape (falmeida)
  * Add AddXssSafeModifier (jad)
  * Allow disabling auto-escape for 'trusted' vars (jad)
  * BUGFIX: resolve possible memory-leaks in CopyDictionary (csilvers)
  * BUGFIX: fix bug when reloading with AUTOESCAPE pragma (jad)
  * Updated autoconf version to 2.61 and libtool version to 1.5.26
- ctemplate-0.93-bswap.patch was merged upstream
* Fri Feb 20 2009 mhrusecky@suse.cz
- corrected bswap function name - fixed build on ppc & s390
* Mon Feb 16 2009 mhrusecky@suse.cz
- version update (version 0.93)
  * New AUTOESCAPE pragma: alternative to GetTemplateWithAutoescaping (jad)
  * Improve autoescape for CSS template and more (jad)
  * Replace RegisterStringAsTemplate with TemplateToString (csilvers)
  * Speed up template code by hashing and cacheing template strings (jcrim)
  * Add StaticTemplateString to make hashing/cacheing even faster
  * Autogenerate parser files from .config files (falmeida)
  * TESTING: new compile_test to test end-to-end compilation (csilvers)
  * Fix Mutex class to allow expanding template before main() (csilvers)
* Mon Feb 16 2009 mhrusecky@suse.cz
- fixed building with gcc 4.4
* Wed Feb  4 2009 mhrusecky@suse.cz
- expanded macros as they are currently not supported in package
  names
* Fri Dec 19 2008 mhrusecky@suse.cz
- fixed package names
* Fri Dec 12 2008 mhrusecky@suse.cz
- new Package (Version 0.92)
